Create ContactFolder
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Create a new contactFolder as a child of a specified folder.
You can also create a new contactFolder under the user's default contact folder.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Contacts.ReadWrite |
| Delegated (personal Microsoft account) | Contacts.ReadWrite |
| Application | Contacts.ReadWrite |
HTTP request
POST /me/contactFolders/{id}/childFolders
POST /users/{id | userPrincipalName}/contactFolders/{id}/childFolders
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, supply a JSON representation of ContactFolder object.
Response
If successful, this method returns 201 Created response code and ContactFolder object in the response body.
Example
Request
Here is an example of the request.
POST https://graph.microsoft.com/beta/me/contactFolders/{id}/childFolders
Content-type: application/json
{
"displayName": "Family"
}
In the request body, supply a JSON representation of contactFolder object.
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"parentFolderId": "AQMkADIxYjJiYgEzLTFmNjYALTRjYTMtODA1NC0wZDkxZGNmOTcxNTQALgAAA8RJzXYaLKZPlmn0ge0edZkBADa3qi2IMXRNg6RwQSHe_F8AAAIBDgAAAA==",
"displayName": "Family",
"id": "AAMkADIxYjJiYmIzLTFmNjYtNGNhMy04MDU0LTBkOTFkY2Y5NzE1NAAuAAAAAADESc12GiymT5Zp9IHtHnWZAQA2t6otiDF0TYOkcEEh3vhfAAAGgUC1AAA="
}
Feedback
Submit and view feedback for